1. listing
Paralleg
  • v1
    • attributes
      • car
        • Get Brands
        • Get Models
        • Get Types
    • categories
      • Get Categories
      • Get Category
      • Get Category Parameters
      • Get Listing Filters
      • Get Listing Filter Values
    • listing
      • Listing Lookup
        POST
      • Get Listing Sorting Options
        GET
    • offers
      • subscription
        • Get Subscription
        • Subscribe
        • Unsubscribe
      • Offer Lookup
      • Get Offer
      • Get Offer By External ID
      • Get Offer Text
      • Get Offer Images
    • images
      • Image
      • Image redirect
      • Proxy image content in original size
      • Proxy image content resized
  • Get request info
    GET
  • Schemas
    • v1
      • Offers
        • Offer
        • OfferCategory
        • ListingOffer
        • OfferParameter
        • OfferText
        • OfferParameterValue
        • OfferProduct
        • OfferSeller
        • ReplacementOffer
        • OfferRestriction
        • OfferSubscription
        • OfferWebhook
      • CarAttributes
        • CarBrand
        • CarModel
        • CarType
        • CarModelGroup
      • Parameters
        • Parameter
        • ParameterValue
      • Restrictions
        • IntegerRestrictions
        • FloatRestrictions
        • StringRestrictions
        • DisctionaryRestrictions
        • NumericRestrictions
        • Restrictions
      • Images
        • Image
        • ImageVariant
      • Filters
        • Filter
        • FilterValue
      • Listing
        • ListingFilterValue
        • RequestFilterValue
        • ListingSortingOption
        • ListingFilter
      • Products
        • ProductCategory
        • ListingProduct
        • Product
      • Batches
        • JobBatch
        • Job
      • Lang
      • Category
      • Pagination
      • Currency
      • AppId
      • RequestId
  1. listing

Listing Lookup

POST
/v1/listings/lookup
Last modified:2026-08-20 18:00:54

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Body Params application/json

Example
{
    "search": "string",
    "category_id": "8de4c9fd-61a4-4c0b-bf88-0ed3a0fe3fa2",
    "car_brand_id": "3f9c33dd-7fd0-44da-a989-a0b0bf40761e",
    "car_model_group_id": "0e5991f9-547b-478c-be92-54d30d1c56db",
    "car_model_id": "251a1202-8b8c-4a26-a987-2e6f460bc4ad",
    "car_type_id": "38612c9a-9cba-4d63-8ed8-ac5739209f76",
    "sort_id": "string",
    "filters": [
        {
            "filter_value_id": "5303a6b1-d8ac-4bd4-8a6d-d2b0f17377bb",
            "parameter_value_id": "640a371d-d194-4d75-a95e-409040275d05",
            "value": "string"
        }
    ],
    "price_from": 0,
    "price_to": 0,
    "fail_on_restrictions": true,
    "sort": "relevance",
    "limit": 12,
    "page": 1,
    "lang": "pl"
}

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "meta": {
        "lang": "pl",
        "original_lang": "pl",
        "pagination": {
            "limit": 0,
            "page": 0,
            "pages_count": 0,
            "items_count": 0
        },
        "applied_car_attributes": [
            "string"
        ],
        "applied_filters": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "parameter_id": "d4531ae7-3de2-4d63-ad99-c60ad3103820",
                "name": "string",
                "unit": "string",
                "original_name": "string",
                "original_unit": "string",
                "values": [
                    {
                        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                        "parameter_value_id": "640a371d-d194-4d75-a95e-409040275d05",
                        "name": "string",
                        "original_name": "string",
                        "custom_value": "string"
                    }
                ]
            }
        ],
        "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
        "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",
        "applied_sort": {
            "id": "string",
            "name": "string",
            "original_name": "string"
        }
    },
    "data": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external_id": 0,
            "name": "string",
            "original_name": "string",
            "price": "string",
            "currency": "PLN",
            "category": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "external_id": "string",
                "name": "string",
                "original_name": "string"
            },
            "restriction": {
                "reason": "string",
                "source": "string",
                "confidence": "string"
            },
            "product": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "external_id": "string"
            },
            "seller": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "external_id": "string"
            },
            "image": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "variants": {
                    "s256": {
                        "url": "http://example.com",
                        "external_url": "http://example.com"
                    },
                    "s512": {
                        "url": "http://example.com",
                        "external_url": "http://example.com"
                    },
                    "s1024": {
                        "url": "http://example.com",
                        "external_url": "http://example.com"
                    },
                    "source": {
                        "url": "http://example.com",
                        "external_url": "http://example.com"
                    }
                }
            }
        }
    ]
}
🟠422Validation Error
🟠404
🔴500
🔴502
Modified at 2026-08-20 18:00:54
Previous
Get Listing Filter Values
Next
Get Listing Sorting Options
Built with